Lien and theft

Lien & Theft records

Check a VIN for active lien and theft records (US).


Checking account...
GET
/v1/lien-theft

Check a VIN for active lien and theft records (US).

Authorization

ApiKeyQuery
key<token>

Your CarsXE API key, passed as the key query parameter.

In: query

Query Parameters

vin*string

The 17 character long vehicle identification number.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -G https://api.carsxe.com/v1/lien-theft \  -d key=CARSXE_API_KEY \  -d vin=WBAFR7C57CC811956
{
  "success": true,
  "input": {
    "vin": "2C3CDXFG1FH762860"
  },
  "timestamp": "2025-12-07T20:32:11.027Z",
  "year": 2015,
  "make": "DODGE",
  "model": "Charger",
  "type": "CAR",
  "events": [
    {
      "event": "Recovered Theft",
      "location": "OH",
      "details_list": [
        "The vehicle is reported to be an Recovered Theft."
      ]
    }
  ]
}

{
  "success": false,
  "message": "Missing vin (vehicle identification number)"
}

{
  "success": false,
  "message": "Missing API key"
}

{
  "success": false,
  "message": "No lien or theft data found for this VIN"
}
{
  "success": false,
  "message": "API usage limit exceeded",
  "usage": {
    "current": 1000,
    "limit": 1000,
    "remaining": 0
  }
}